Main Page Class Hierarchy Compound List File List Compound Members

# wxUnit Class Reference

convert units back and forth More...

`#include <units.h>`

List of all members.

## Public Methods
| wxUnit (double number, double multi)
| constructor on number and multiplier 1.1 and 1e-6
| wxUnit (double number, const wxString &multi)
| constructor on number in meters and recalculate for multiplier as string
| wxUnit (const wxString &number, const wxString &multi)
| constructor on number string and multiplier string "1.1" "um"
bool | Eval (const wxString &param)
| compose a unit based a string "1.1um"
double | GetValue ()
| get value in meters
double | GetNumber ()
| get the number 1.1 um -> 1.1
double | GetMultiplier ()
| get the number 1.1 um -> um
wxString & | GetValueString ()
| get the number 1.1 um -> "1.1 um"
wxString & | GetMultiplierString ()
| get the number 1.1 um -> "um"
wxString & | GetNumberString ()
| get the number 1.1 um -> "1.1"
wxUnit & | operator= (const wxUnit &)
| copy
wxUnit & | operator= (const char *)
| as Eval
| operator double ()
| convert to double
wxUnit & | operator= (double)
| double becomes the number
## Protected Attributes
wxString | m_multi
| multiplier
wxString | m_number
| non multiplied number as a string

## Detailed Description

convert units back and forth

The documentation for this class was generated from the following file:

- units.h

wxUnit class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page